Skip to main content
PUT
/
v1
/
account-groups
/
{accountGroupId}
Update Account Group
curl --request PUT \
  --url https://localtest.mindbridge.ai/api/v1/account-groups/{accountGroupId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "macCode": "<string>",
  "accountTags": [
    "<string>"
  ]
}
'
{
  "code": "<string>",
  "description": {},
  "id": {},
  "accountGroupingId": {},
  "lowestLevel": true,
  "hierarchy": [
    "<string>"
  ],
  "parentCode": "<string>",
  "macCode": "<string>",
  "accountTags": [
    "<string>"
  ],
  "publishedDate": "2023-11-07T05:31:56Z",
  "orderIndex": 123,
  "errors": [
    {
      "type": "ERROR_LOWEST_LEVEL_WITH_NO_MAC",
      "arguments": [
        "<string>"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

accountGroupId
string
required

Body

application/json
macCode
string

The MAC code mapped to this account group.

accountTags
string[]

A list of account tags assigned to this account group.

Response

OK

code
string
required

The account code for this account group.

Minimum string length: 1
Pattern: \s*\S+.*
description
object
required

A description of the account code for this account group.

id
object

The unique object identifier.

accountGroupingId
object

The unique identifier for the account grouping that the account group belongs to.

lowestLevel
boolean
hierarchy
string[]

A list of the parent codes for this account group.

parentCode
string

The parent code for this account group.

macCode
string

The MAC code mapped to this account group.

accountTags
string[]

A list of account tags assigned to this account group.

publishedDate
string<date-time>

The date this account group was published. If not set, this account group is not published.

Published account groups cannot be updated.

orderIndex
integer<int32>

The order in which this account group is displayed, relative to other account groups with the same parent.

errors
Account Group Error · object[]

A list of errors associated with this account group.